mapboxgl.accessToken = 'pk.eyJ1IjoibWF0ZWptZWNrYSIsImEiOiJjamN3Y3gwdGcwMDVrMnh0YnQyczhyb2V3In0.HeOuVFJvpsSGECzJF4Jmlw';
var map = new mapboxgl.Map({
container: document.getElementById('map'),
style: 'mapbox://styles/mapbox/streets-v10',
center: [21.425598030074326,42.00038270989032],
zoom: 13,
});

map.on('load', function() {
    map.loadImage('images/celltower.png', function(error, image) {
        if (error) throw error;
        map.addImage('tower', image);
        map.addLayer({
            "id": "points",
            "type": "symbol",
            "source": {
                "type": "geojson",
                "data": {
                    "type": "FeatureCollection",
                    "features": [{
                        "type": "Feature",
                        "geometry": {
                            "type": "Point",
                            "coordinates": [21.42559803007430, 42.00038270989050] // centar
                        }
                    }, {
                        "type": "Feature",
                        "geometry": {
                            "type": "Point",
                            "coordinates": [21.38529272846381, 42.0080397578202] //karpos 4
                        } 

                    },    {
                        "type": "Feature",
                        "geometry": {
                            "type": "Point",
                            "coordinates": [21.395635326379505, 42.01451275057815] //skupi
                        }

                    },  { 
                        "type": "Feature",
                        "geometry": {
                            "type": "Point",
                            "coordinates": [21.40717245067438, 42.0052039337275] //karpos
                        }

                    },  { 
                        "type": "Feature",
                        "geometry": {
                            "type": "Point",
                            "coordinates": [21.43923731612395, 41.990020324812974] //novo maalo
                        }

                    },  { 
                        "type": "Feature",
                        "geometry": {
                            "type": "Point",
                            "coordinates": [21.42035456474784, 42.00749765472062] //park
                        }

                    },  { 
                        "type": "Feature",
                        "geometry": {
                            "type": "Point",
                            "coordinates": [21.382932384539487, 42.00086448880981] // taftalidze 2
                        }

                    },  { 
                        "type": "Feature",
                        "geometry": {
                            "type": "Point",
                            "coordinates": [21.391858776133887, 42.0006412452351] // taftalidze 2
                        }      

                    },  { 
                        "type": "Feature",
                        "geometry": {
                            "type": "Point",
                            "coordinates": [21.408853252403446, 41.99716492287186] // ankarska
                        }        

                     },  { 
                        "type": "Feature",
                        "geometry": {
                            "type": "Point",
                            "coordinates": [21.39723365456686, 42.00542900976092] // karposh 3
                        }  

                    },  { 
                        "type": "Feature",
                        "geometry": {
                            "type": "Point",
                            "coordinates": [21.37303172345048, 42.005577990473455] // vlae
                        }             


                    }]
                }
            },
            "layout": {
                "icon-image": "tower",
                "icon-size": 0.25
            }
        });
    });
});